Subject: Re: FVWM: How to avoid Key binding action for Taskbar in FVWM2.2.2

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 2 Jan 2001 12:48:21 -0600

On 18 Dec 2000 12:32:31 +0530, lsubbiah wrote:
> 
> I have configured to Iconify my window using the key binding option in
> .fvwm2rc file. I want to avoid (Parse) the Binding key option for the
> Taskbar module. Since when focus is on Taskbar, The binded key press
> Iconifies my Taskbar. I want to avoid this. Can any one help me, how to
> do this?

The following should work in 2.2 (and greater):

  # Alt-F9 iconifies the current window except for FvwmTaskBar & FvwmButtons
  Key F9 A M Current (!FvwmTaskBar) Current (!FvwmButtons) Iconify

In the 2.3+ you can configure FvwmTaskBar to never get focus instead:

  # Alt-F9 iconifies/deiconifies the currently focused window
  Key F9 A M Iconify
  Style FvwmTaskBar NeverFocus

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].